# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/
%define _menudir        /usr/lib/menu

# David - 2.2.1-3mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name:		kdeaddons3
Summary: 	Kdeaddons
Version: 	3.0.2
Release: 	1mdk
Epoch:		1
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source0: 	kdeaddons-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root


%if %buildfor8_0
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake arts3
BuildRequires:	autoconf diffutils kdelibs3 file m4 texinfo gettext
BuildRequires:	libjpeg62-devel kdelibs3-devel gcc-c++ libbinutils2 libbzip2_1
BuildRequires:	db1 freetype2 libjpeg62 libmng1 libpng2 libqt3 libqt3-devel
BuildRequires:	rpm-build libSDL1.1-devel libesound0-devel kdemultimedia3-devel kdebase3-devel
%endif

%if %buildfor8_1
BuildRequires:	gcc-c++ kdemultimedia3-devel kdebase3-devel
BuildRequires:  libSDL1.2-devel 
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts3 autoconf
BuildRequires:	automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:	gettext kdebase3-devel kdelibs3-devel
BuildRequires:	kdemultimedia3-devel libMesaGLU1 libSDL1.2-devel libalsa1-devel
BuildRequires:	libarts3-devel libaudiofile0-devel libbinutils2 libbzip2_1-devel
BuildRequires:	libesound0-devel libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:	libpng3-devel libqt3-devel libtermcap2 m4
BuildRequires:	mktemp perl popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor8_3
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts3 autoconf
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++ gcc-cpp
BuildRequires:  gettext kdebase3-devel kdelibs3-devel
BuildRequires:  kdemultimedia3-devel libMesaGLU1 libSDL1.2-devel libalsa2-devel
BuildRequires:  libarts3-devel libaudiofile0-devel libbinutils2 libbzip2_1-devel
BuildRequires:  libesound0-devel libintl1 libjpeg62-devel liblcms1 libmng1-devel
BuildRequires:  libpng3-devel libqt3-devel libtermcap2 m4
BuildRequires:  mktemp perl popt rpm-build texinfo zlib1-devel
%endif

PreReq:	kdebase3 libSDL1.2


%description
Plugins for some KDE applications: kdeaddons extends the functionality
of Konqueror, noatun (media player), kate (text editor), kicker (some applets)
and knewstiker.



%prep

%setup  -q -nkdeaddons-%{version}

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
                    --build=%_target_platform \
					--host=%_target_platform \
%if %unstable
					--enable-debug=full \
%else
					--disable-debug \
%endif
					--enable-final \
					--enable-shared \
					--disable-static \
					--disable-objprelink \
					--disable-embedded \
					--disable-qtopia \
					--disable-rpath \
					--with-gnu-ld \
					--with-pic \
					--with-xinerama

%make


%install
rm -fr %buildroot

# David - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif
export PATH=%_bindir:$PATH

make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl kdeaddons3 Configuration/KDE/FileBrowsing %buildroot/%_datadir/applnk/Settings/FileBrowsing/kcmkuick.desktop %buildroot/%_menudir/kdeaddons3-kcmkuick kde


%clean
rm -fr %buildroot

%post
%define _bindir         /usr/bin/
/sbin/ldconfig
%update_menus
%define _bindir         /opt/kde3/bin/

%postun
%define _bindir         /usr/bin/
/sbin/ldconfig
%clean_menus
%define _bindir         /opt/kde3/bin/


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kate-plugins/
%doc %_docdir/HTML/en/kate-plugins/common
%doc %_docdir/HTML/en/kate-plugins/*.docbook
%doc %_docdir/HTML/en/kate-plugins/*.bz2
#
#
%dir %_docdir/HTML/en/kicker-applets/
%doc %_docdir/HTML/en/kicker-applets/common
%doc %_docdir/HTML/en/kicker-applets/*.docbook
%doc %_docdir/HTML/en/kicker-applets/*.bz2
#
%dir %_docdir/HTML/en/konq-plugins/
%doc %_docdir/HTML/en/konq-plugins/common
%doc %_docdir/HTML/en/konq-plugins/*.docbook
%doc %_docdir/HTML/en/konq-plugins/*.bz2
%doc %_docdir/HTML/en/konq-plugins/*.png
#
#
%_bindir/*
#
#
%dir %_libdir/kde3/
%_libdir/kde3/katehtmltoolsplugin.la
%_libdir/kde3/kateopenheaderplugin.la
%_libdir/kde3/kateprojectmanagerplugin.la
%_libdir/kde3/katetextfilterplugin.la
%_libdir/kde3/kateinsertcommandplugin.la
%_libdir/kde3/katexmltoolsplugin.la
%_libdir/kde3/ktimemon_panelapplet.la
%_libdir/kde3/kolourpicker_panelapplet.la
%_libdir/kde3/libkhtmlsettingsplugin.la
%_libdir/kde3/libkimgallery.la
%_libdir/kde3/libdirfilterplugin.la
%_libdir/kde3/libuachangerplugin.la
%_libdir/kde3/libbabelfishplugin.la
%_libdir/kde3/libvalidatorsplugin.la
%_libdir/kde3/libdomtreeviewerplugin.la
%_libdir/kde3/libwebarchiverplugin.la
%_libdir/kde3/webarchivethumbnail.la
%_libdir/kde3/konqsidebar_mediaplayer.la
%_libdir/kde3/libkcm_kuick.la
%_libdir/kde3/libkuickplugin.la
%_libdir/kde3/noatunwakeup.la
%_libdir/kde3/noatunmadness.la
%_libdir/kde3/noatuncharlatan.la
%_libdir/kde3/noatunalsaplayer.la
%_libdir/kde3/noatunpitchablespeed.la
%_libdir/kde3/noatunluckytag.la
%_libdir/kde3/noatunwavecapture.la
#
%_libdir/kde3/katehtmltoolsplugin.so
%_libdir/kde3/kateopenheaderplugin.so
%_libdir/kde3/kateprojectmanagerplugin.so
%_libdir/kde3/katetextfilterplugin.so
%_libdir/kde3/kateinsertcommandplugin.so
%_libdir/kde3/katexmltoolsplugin.so
%_libdir/kde3/ktimemon_panelapplet.so.1.0.0
%_libdir/kde3/ktimemon_panelapplet.so.1
%_libdir/kde3/ktimemon_panelapplet.so
%_libdir/kde3/kolourpicker_panelapplet.so
%_libdir/kde3/libkhtmlsettingsplugin.so
%_libdir/kde3/libkimgallery.so
%_libdir/kde3/libdirfilterplugin.so
%_libdir/kde3/libuachangerplugin.so
%_libdir/kde3/libbabelfishplugin.so
%_libdir/kde3/libvalidatorsplugin.so
%_libdir/kde3/libdomtreeviewerplugin.so
%_libdir/kde3/libwebarchiverplugin.so
%_libdir/kde3/webarchivethumbnail.so
%_libdir/kde3/konqsidebar_mediaplayer.so
%_libdir/kde3/libkcm_kuick.so
%_libdir/kde3/libkuickplugin.so
%_libdir/kde3/noatunwakeup.so
%_libdir/kde3/noatunmadness.so
%_libdir/kde3/noatuncharlatan.so
%_libdir/kde3/noatunalsaplayer.so
%_libdir/kde3/noatunpitchablespeed.so
%_libdir/kde3/noatunluckytag.so
%_libdir/kde3/noatunwavecapture.so
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kate/
%dir %_datadir/apps/kate/plugins/
%_datadir/apps/kate/plugins/*.desktop
#
%dir %_datadir/apps/kate/plugins/katehtmltools/
%_datadir/apps/kate/plugins/katehtmltools/*.rc
#
%dir %_datadir/apps/kate/plugins/katexmltools/
%_datadir/apps/kate/plugins/katexmltools/*.rc
#
%dir %_datadir/apps/kate/plugins/kateinsertcommand/
%_datadir/apps/kate/plugins/kateinsertcommand/*.rc
#
%dir %_datadir/apps/kate/plugins/kateopenheader/
%_datadir/apps/kate/plugins/kateopenheader/*.rc
#
%dir %_datadir/apps/kate/plugins/kateprojectmanager/
%_datadir/apps/kate/plugins/kateprojectmanager/*.rc
#
%dir %_datadir/apps/kate/plugins/katetextfilter/
%_datadir/apps/kate/plugins/katetextfilter/*.rc
#
%dir %_datadir/apps/katexmltools/
%_datadir/apps/katexmltools/*.xml
%_datadir/apps/katexmltools/*.xsl
#
%dir %_datadir/apps/khtml/
%dir %_datadir/apps/khtml/kpartplugins/
%_datadir/apps/khtml/kpartplugins/*.rc
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/konqiconview/
%dir %_datadir/apps/konqiconview/kpartplugins/
%_datadir/apps/konqiconview/kpartplugins/*.rc
#
#
%dir %_datadir/apps/konqlistview/
%dir %_datadir/apps/konqlistview/kpartplugins/
%_datadir/apps/konqlistview/kpartplugins/*.rc
#
%dir %_datadir/apps/konqsidebartng/
%dir %_datadir/apps/konqsidebartng/add/
%_datadir/apps/konqsidebartng/add/*.desktop

%dir %_datadir/apps/konqsidebartng/entries/
%_datadir/apps/konqsidebartng/entries/*.desktop
#
%dir %_datadir/apps/noatun/
%_datadir/apps/noatun/*.plugin
#
%dir %_datadir/apps/knewsticker/
%dir %_datadir/apps/knewsticker/scripts/
%_datadir/apps/knewsticker/scripts/*.pl
%_datadir/apps/knewsticker/scripts/*.py
%_datadir/apps/knewsticker/scripts/*.Error*
%_datadir/apps/knewsticker/scripts/*.newsrss
%_datadir/apps/knewsticker/scripts/*.stock
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/FileBrowsing/
%_datadir/applnk/Settings/FileBrowsing/*.desktop

#
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png
%dir %_iconsdir/hicolor/22x22/apps/
%_iconsdir/hicolor/22x22/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png

%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png

#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop
#
#
#
%_menudir/*



%changelog
* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Rebuild against gcc3.1

* Fri Apr 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against libalsa2

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remove 'fomit-frame-pointer'


* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- fix build requires for 8.0

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Mon Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix BuildRequires for 8.2

* Sat Feb 08 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix BuildRequires on 8.0 PPC
- Fix ./configure
- Add missing files
- Set unstable macro to 1

* Thu Feb 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-2mdk
- kde 3.0 beta1

* Sat Nov 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
